Package org.eclipse.net4j.util.ui.views

# Class IntrospectionProvider

java.lang.Object
org.eclipse.net4j.util.ui.views.IntrospectionProvider

All Implemented Interfaces:
  `Comparable<IntrospectionProvider>`

Direct Known Subclasses:
  `RowIntrospectionProvider`

public abstract class IntrospectionProvider extends Object implements Comparable<IntrospectionProvider>

Since:
  3.16
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IntrospectionProvider.Factory`
`static class`
`IntrospectionProvider.NameAndValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`IntrospectionProvider(String id, String label)`

## Method Summary

Modifier and Type
Method
Description
`void`
`attachListener(TableViewer viewer, Object value)`
`abstract boolean`
`canHandle(Object object)`
`final int`
`compareTo(IntrospectionProvider o)`
`protected static TableColumn`
`createColumn(TableViewer viewer, String name, int width)`
`abstract void`
`createColumns(TableViewer viewer)`
`TableViewer`
`createViewer(Composite parent)`
`void`
`detachListener(TableViewer viewer, Object value)`
`protected static String`
`formatValue(Object value)`
`Color`
`getBackground(Object element)`
`protected static String`
`getClassName(Object value)`
`Image`
`getColumnImage(Object element, int index)`
`abstract String`
`getColumnText(Object element, int index)`
`ViewerComparator`
`getComparator()`
`abstract Object`
`getElementByName(Object parent, String name)`
`abstract Object[]`
`getElements(Object parent)`
`Color`
`getForeground(Object element)`
`final String`
`getId()`
`final String`
`getLabel()`
`protected static String`
`getName(Class<?> type)`
`abstract IntrospectionProvider.NameAndValue`
`getNameAndValue(Object element)`
`int`
`getPriority()`
`void`
`open(Event selectionEvent, Object parent, Object element, Consumer<Object> introspector)`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_PRIORITY

public static final int DEFAULT_PRIORITY

See Also:
  - Constant Field Values

## Constructor Details

### IntrospectionProvider

public IntrospectionProvider(String id, String label)

## Method Details

### getPriority

public int getPriority()

### getId

public final String getId()

### getLabel

public final String getLabel()

### open

public void open(Event selectionEvent, Object parent, Object element, Consumer<Object> introspector)

### attachListener

public void attachListener(TableViewer viewer, Object value)

### detachListener

public void detachListener(TableViewer viewer, Object value)

### canHandle

public abstract boolean canHandle(Object object)

### createViewer

public TableViewer createViewer(Composite parent)

### createColumns

public abstract void createColumns(TableViewer viewer)

### getElements

public abstract Object[] getElements(Object parent) throws Exception

Throws:
  `Exception`

### getElementByName

public abstract Object getElementByName(Object parent, String name) throws Exception

Throws:
  `Exception`

### getNameAndValue

public abstract IntrospectionProvider.NameAndValue getNameAndValue(Object element) throws Exception

Throws:
  `Exception`

### getColumnText

public abstract String getColumnText(Object element, int index) throws Exception

Throws:
  `Exception`

### getColumnImage

public Image getColumnImage(Object element, int index) throws Exception

Throws:
  `Exception`

### getForeground

public Color getForeground(Object element)

### getBackground

public Color getBackground(Object element)

### getComparator

public ViewerComparator getComparator()

### compareTo

public final int compareTo(IntrospectionProvider o)

Specified by:
  `compareTo` in interface `Comparable<IntrospectionProvider>`

### toString

public final String toString()

Overrides:
  `toString` in class `Object`

### createColumn

protected static TableColumn createColumn(TableViewer viewer, String name, int width)

### getClassName

protected static String getClassName(Object value)

### getName

protected static String getName(Class<?> type)

### formatValue

protected static String formatValue(Object value)